/*
 * fontx2defs.h - FONTX2 font header
 * original code:SASANO Takayoshi
 * --- public domain.
 */

#define CODETYPE_ASCII	0
#define	CODETYPE_KANJI	1

typedef struct {
    UB	identifier[6];
    UB	fontname[8];
    UB	xsize;
    UB	ysize;
    UB	codetype;
} __attribute__((packed)) FONTX2_HEADER;

typedef struct {
    FONTX2_HEADER	h;

    UB	d[1];
} __attribute__((packed)) FONTX2_ASCII;

typedef struct {
    FONTX2_HEADER	h;

    UB	tnum;
    struct {
	UH	start;
	UH	end;
    } __attribute__((packed)) block[1];
} __attribute__((packed)) FONTX2_KANJI;

